if not SimpleSelfRebuff then return end
local SimpleSelfRebuff = SimpleSelfRebuff
SimpleSelfRebuff:_rev("$Revision: 50224 $")

local _G = _G
local GetShapeshiftForm = _G.GetShapeshiftForm

SimpleSelfRebuff:RegisterBuffSetup(function(self, BS, class, L)
	if class ~= 'DRUID' then return end

	self:AddMultiStandaloneBuffs( 
		BS['Thorns'],
		BS['Omen of Clarity']
	)
	
	local function inFeralForm(buff)
		local shapeshiftForm = GetShapeshiftForm(true)
		return shapeshiftForm == 1 or shapeshiftForm == 3
	end
	
	self:AddStandaloneBuff(BS["Nature's Grasp"], 'isUsableFunc', inFeralForm)
	
	self:GetCategory(BS['Mark of the Wild']):addMulti(
		BS['Mark of the Wild'],
		BS['Gift of the Wild']
	)
	
end)
