if not SimpleSelfRebuff then return end
local SimpleSelfRebuff = SimpleSelfRebuff
SimpleSelfRebuff:_rev("$Revision: 50224 $")

function HunterSetup(self, BS, class, L)
	if class ~= 'HUNTER' then return end
	self:Debug('Loading hunter setup')

	self:GetCategory(L['Aspect']):addMulti( 
		BS['Aspect of the Viper'],
		BS['Aspect of the Beast'],
		BS['Aspect of the Cheetah'],
		BS['Aspect of the Hawk'],
		BS['Aspect of the Monkey']
	)
		:add(	BS['Aspect of the Pack'], 'subcat', 'pack' )
		:add(	BS['Aspect of the Wild'], 'subcat', 'wild' )
	
	self:GetCategory(self.CATEGORY_TRACKING)
		:add( BS['Track Humanoids'],  'mountFriendly', true )
		:add( BS['Track Beasts'],     'mountFriendly', true )
		:add( BS['Track Demons'],     'mountFriendly', true )
		:add( BS['Track Dragonkin'],  'mountFriendly', true )
		:add( BS['Track Elementals'], 'mountFriendly', true )
		:add( BS['Track Giants'],     'mountFriendly', true )
		:add( BS['Track Hidden'],     'mountFriendly', true )
		:add( BS['Track Undead'],     'mountFriendly', true )
	
	self:AddStandaloneBuff( BS['Trueshot Aura'] )
	
end

SimpleSelfRebuff:RegisterBuffSetup(HunterSetup)
